package FreeBSD::Ports::Distilator;

our $VERSION = '0.2';

use strict;
use warnings;

use Config; 
use FreeBSD::Ports::DistilatorCommon;

if ($Config{usethreads}) { 
	# We have threads 
	require FreeBSD::Ports::DistilatorThreaded;
	import FreeBSD::Ports::DistilatorThreaded;
} else { 
	require FreeBSD::Ports::DistilatorSingle;
	import FreeBSD::Ports::DistilatorSingle;
}

our (@ISA, @EXPORT_OK);
BEGIN {
	require Exporter;
	@ISA = qw(Exporter);
	@EXPORT_OK = qw();
}

sub new {
	my ($class) = @_;
	my $self = {
		AUTHOR			=>	'Emanuel Haupt <ehaupt@FreeBSD.org>',
		VERSION			=>	$VERSION,
		distdir			=>	'/tmp/.distilatortmp',
		link_check_timeout	=>	'20',
		max_threads		=>	'30'
	};
	bless $self, $class;
	return $self;
}

sub timeout {
	my($class,$timeout)=@_;
	$class->{'link_check_timeout'}=$timeout;
}

sub max_threads {
	my($class,$threads)=@_;
	$class->{'max_threads'}=$threads;
}

sub check {
	my($class,$port)=@_;
	validate_single_port($class,$port);
}

1;
